{"title":"Delete disputeStatus","url":"https://jonas-paprotka.de/docs/dev-itpro/api-reference/v2.0/api/dynamics_disputestatus_delete/","by":"JOP-AL","license":"Copyright (c) Microsoft Corporation. CC BY 4.0, https://creativecommons.org/licenses/by/4.0/; code samples MIT. From https://learn.microsoft.com/en-us/dynamics365/business-central/dev-itpro/api-reference/v2.0/api/dynamics_disputestatus_delete, MicrosoftDocs/dynamics365smb-devitpro-pb at 828b6ee (2026-11-19). Changed: includes filled in, links to this site, and for agents shortened without dropping a fact.","credit":"Microsoft Corporation, CC BY 4.0","origin":"https://learn.microsoft.com/en-us/dynamics365/business-central/dev-itpro/api-reference/v2.0/api/dynamics_disputestatus_delete","source":{"name":"Business Central developer and IT pro docs","repo":"https://github.com/MicrosoftDocs/dynamics365smb-devitpro-pb","commit":"828b6ee72fcd75755627cd6011f3d20899217ab2","date":"2026-11-19"},"checked":"2026-11-19","description":"Deletes a dispute status object in Dynamics 365 Business Central.","date":"2026-08-21","meta":{"topic":"how-to"},"outline":[{"level":2,"title":"HTTP request","slug":"http-request","at":48,"chars":216},{"level":2,"title":"Request headers","slug":"request-headers","at":264,"chars":238},{"level":2,"title":"Request body","slug":"request-body","at":502,"chars":61},{"level":2,"title":"Response","slug":"response","at":563,"chars":162},{"level":2,"title":"Example","slug":"example","at":725,"chars":229},{"level":2,"title":"Related information","slug":"related-information","at":954,"chars":262}],"text":"Deletes a dispute status from Business Central.\n## HTTP request\nReplaces the URL prefix for Business Central depending on environment following the guideline<../endpoints-apis-for-dynamics>.\n```\nDELETE businesscentralPrefix/companies({id})/disputeStatus({id})\n```\n## Request headers\nHeader|Value\nAuthorization|Bearer {token}. Required.\nIf-Match|Required. When this request header is included and the eTag provided doesn't match the current tag on the disputeStatus, the disputeStatus won't be updated.\n## Request body\nDon't supply a request body for this method.\n## Response\nIf successful, this method returns ```204 No Content``` response code and deletes the disputeStatus. It doesn't return anything in the response body.\n## Example\nRequest\nHere's an example of the request.\n```json\nDELETE https://{businesscentralPrefix}/api/v2.0/companies({id})/disputeStatus({id})\n```\nResponse\nHere's an example of the response.\n```json\nHTTP/1.1 204 No Content\n```\n## Related information\nTips for working with the APIs<../../../developer/devenv-connect-apps-tips>\n../resources/dynamics_disputestatus\ndynamics_disputestatus_get\nPOST disputeStatus<dynamics_disputestatus_create>\nPATCH disputeStatus<dynamics_disputestatus_update>"}